
ArkInventory.API = { }

function ArkInventory.API.CustomBattlePetTooltipReady( ... )
--[[
	
	called after the custom battlepet tooltip is shown, so it's behind all the normal logic checks
	
	usage
		hooksecurefunc( ArkInventory.API, "CustomBattlePetTooltipReady", YourMod.YourFunctionNameGoesHere )
		
	args
		[1] tooltip
		[2] battlepet hyperlink string
		
		remaining args are from unpack( ArkInventory.ObjectStringDecode( h ) )
		[3] class (should always be battlepet)
		[4] speciesid
		[5] level
		[6] rarity
		[7] maxhealth
		[8] power
		[9] speed
		
]]--
end

function ArkInventory.API.CustomReputationTooltipReady( ... )
--[[
	
	called after the custom reputation tooltip is shown
	
	usage
		hooksecurefunc( ArkInventory.API, "CustomReputationTooltipReady", YourMod.YourFunctionNameGoesHere )
		
	args
		[1] tooltip
		[2] custom "hyperlink" string - reputation:factionId:standingText:barValue:barMax:isCapped:paragonLevel:hasParagonReward
	
]]--
end


function ArkInventory.API.ItemFrameLoaded( ... )
--[[
	
	called after an item frame is loaded
	
	usage
		hooksecurefunc( ArkInventory.API, "ItemFrameLoaded", YourMod.YourFunctionNameGoesHere )
		
	args
		[1] frame
		[2] loc_id - arkinventory location id
		[3] bag_id - arkinventory bag id
		[4] slot_id - slot id
	
]]--
end

function ArkInventory.API.ItemFrameUpdated( ... )
--[[
	
	called after an item frame is updated
	
	usage
		hooksecurefunc( ArkInventory.API, "ItemFrameUpdated", YourMod.YourFunctionNameGoesHere )
		
	args
		[1] frame
		[2] loc_id - arkinventory location id
		[3] bag_id - arkinventory bag id
		[4] slot_id - slot id
	
]]--
end

function ArkInventory.API.GetItemFrame( loc_id, bag_id, slot_id )
--[[
	
	usage
		local name, frame = ArkInventory.API.GetItemFrame( loc_id, bag_id, slot_id )
		
]]--
	return ArkInventory.ContainerItemNameGet( loc_id, bag_id, slot_id )
end

function ArkInventory.API.GetBlizzardBagId( loc_id, bag_id )
--[[
	
	converts from an arkinventory loc_id + bag_id combination to a blizzard bag id that the blizzard functions will accept
	returns nil for locations that do not have a blizzard id (the ones where they have specific fucntions instead)
	
	uasge
		local blizzard_id = ArkInventory.API.GetBlizzardBagId( loc_id, bag_id )
		
]]--
	return ArkInventory.InternalIdToBlizzardBagId( loc_id, bag_id )
end
